Page MenuHomePhabricator

Support for new Access Policy/Confidentiality Agreement rollout
Closed, ResolvedPublic

Description

What is the problem:
Legal (with the support of T&S) is launching a new version of the nonpublic data Access Policy and the Confidentiality Agreement that this goes with (on meta and on Phabricator).

How can we help: It would be really useful to get help putting it on meta and Phabricator (for the CA) especially for the translations we already have in 9 languages (full translations for the Access Policy, for the CA we only translated the 2 segments that were changed). T&S will be handling the ongoing support of getting functionaries and OTRS agents to sign the new agreement over the next 3 months.

What does success look like:
That we have our full translations for both the policy and CA up in their respective locations.

What is your deadline:
We were hoping to get the English version of these documents up on Meta by tomorrow Nov 2nd and all of the language translations by November 14th which is when we plan to launch the signing process (with a preference for getting them up by Friday Nov 9th so that we have some flex time).

Tasks:

  • Wikify English Access Policy updates
  • Wikify English Confidentiality Agreement updates
  • Wikify previously translated Access Policy updates
  • Wikify previously translated Confidentiality Agreement updates
  • determine new Access Policy page name
  • page-move the existing subpages-with-translations, one by one, to their new parent-page name. But Not moving the root page first, in order to avoid the bug with T114592 -- I.e. from the list, move these translated-pages (along with their translated-subpages):
  • .../MassMessages/Follow-up email notice to volunteers
  • .../MassMessages/Initial notice to OTRS volunteers
  • .../MassMessages/Initial notice to volunteers
  • .../MassMessages
  • .../Underage exemptions
  • .../noiddraft
  • and finally the root page, Access to nonpublic information policy
  • and the isolated page ...-summary (perhaps move this to become a subpage instead?)
  • update navigation template links
  • update various incoming links
  • Update the translation aggregate group
  • Mark old translated subpages (e.g. massmessages) as "discouraged" in Special:PageTranslation
  • obtain acl*access-policy-approvers temporarily (or whatever it was), from James
  • Update L4
  • Create new phab legalpads for each of the updated Confidentiality Agreement translations, along with new pasteable navbox code for moving between them.
  • Check for double-redirects going to the new Access Policy pages.
  • Check again for other incoming links / problems / template-updates / etc
  • Turn-off the old legalpads
  • Update all interwiki links going to the old legalpads
  • Update the header-noticebox on the wikipages
  • Rename the category

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 1 2018, 7:33 PM
CKoerner_WMF updated the task description. (Show Details)Nov 1 2018, 7:33 PM
CKoerner_WMF triaged this task as High priority.Nov 1 2018, 7:39 PM
Quiddity updated the task description. (Show Details)Nov 1 2018, 8:28 PM
jrbs awarded a token.Nov 2 2018, 5:35 PM
jrbs moved this task from Backlog to Support on the Trust-and-Safety board.
Quiddity updated the task description. (Show Details)Nov 6 2018, 10:53 PM
Quiddity updated the task description. (Show Details)Nov 7 2018, 7:38 PM
Quiddity updated the task description. (Show Details)Nov 14 2018, 2:26 AM
Quiddity updated the task description. (Show Details)Nov 15 2018, 1:22 AM
Quiddity updated the task description. (Show Details)Nov 15 2018, 1:27 AM
Quiddity updated the task description. (Show Details)
Rxy added a subscriber: Rxy.Nov 15 2018, 1:32 PM
Quiddity updated the task description. (Show Details)Nov 15 2018, 5:19 PM
Quiddity reassigned this task from Quiddity to sguebo_WMF.EditedDec 10 2018, 7:07 PM
Quiddity added a subscriber: Quiddity.

I did everything requested, and left notes for final followup. Re-assigning task to Samuel for completion. See my notes in the email "Access Policy, etc. - Done! - Wrapup bits..." for specifics

sguebo_WMF closed this task as Resolved.Dec 20 2018, 1:36 PM
sguebo_WMF updated the task description. (Show Details)

Thanks very much for your invaluable support, @Quiddity!

Quiddity mentioned this in Unknown Object (Task).Feb 25 2019, 7:53 PM